Writing

Getting Admin To Play Nice With jQuery Update

I have been experimenting with Bootstrap to see what all the hype is about and so far I am pretty impressed. On the path that took us from bgcolor="black" to CSS to Grid Layouts, this seems like a natural next step.

However, I did encounter some issues when I tried to implement Bootstrap on my own site, specifically with the Admin module. This is because using Bootstrap requires jQuery Update with the version set at least to jQuery 1.7 and as of the last dev version of admin I tried, it was still not compatible. So here's how you fix it:

  1. Either use the 2.x dev version of Admin, or apply this patch.
  2. Apply this patch.
  3. Flush caches
  4. Enjoy!

This is documented in the following issues:

Writing